# std::poisson_distribution::operator()

From cppreference.com
< cpp‎ | numeric‎ | random‎ | poisson distribution

template< class Generator > result_type operator()( Generator& g ); | (1) | (since C++11)
template< class Generator > result_type operator()( Generator& g, const param_type& params ); | (2) | (since C++11)

Generates random numbers that are distributed according to the associated probability function. The entropy is acquired by calling g.operator().

The first version uses the associated parameter set, the second version uses `params`. The associated parameter set is not modified.

### Parameters

g | - | an uniform random bit generator object
params | - | distribution parameter set to use instead of the associated one
Type requirements
- `Generator` must meet the requirements of `UniformRandomBitGenerator`.

### Return value

The generated random number.

### Complexity

Amortized constant number of invocations of g.operator().

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/poisson_distribution/operator()&oldid=42953"